#ifndef _IRQ_H_
#define _IRQ_H_

#include "types.h"

#define irq_enable()	asm("cli")
#define irq_disable()	asm("sei")

UInt8 irq_save_and_disable(void);
void  irq_restore(UInt8 imask);

#endif	/* !_IRQ_H_ */